Index: LMDZ4/branches/LMDZ4_V3_patches/libf/dyn3d/etat0_netcdf.F
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/dyn3d/etat0_netcdf.F	(revision 525)
+++ LMDZ4/branches/LMDZ4_V3_patches/libf/dyn3d/etat0_netcdf.F	(revision 844)
@@ -8,4 +8,9 @@
       USE startvar
       USE ioipsl
+      USE dimphy
+      USE fonte_neige_mod
+      USE pbl_surface_mod
+      USE ocean_slab_mod
+      USE surface_data
       !
       IMPLICIT NONE
@@ -23,5 +28,4 @@
 #include "comconst.h"
 #include "indicesol.h"
-#include "dimphy.h"
 #include "dimsoil.h"
 #include "temps.h"
@@ -43,5 +47,7 @@
       REAL :: radsol(klon),rain_fall(klon), snow_fall(klon)
       REAL :: solsw(klon), sollw(klon), fder(klon)
-      REAL :: deltat(klon), frugs(klon,nbsrf), agesno(klon,nbsrf)
+cIM "slab" ocean
+      REAL :: tslab(klon), seaice(klon)
+      REAL :: frugs(klon,nbsrf), agesno(klon,nbsrf)
       REAL :: rugmer(klon)
       REAL :: zmea(iip1*jjp1), zstd(iip1*jjp1)
@@ -51,4 +57,5 @@
       REAL :: pctsrf(klon, nbsrf)
       REAL :: t_ancien(klon,klev), q_ancien(klon,klev)      !
+      REAL :: run_off_lic_0(klon)
       real :: clwcon(klon,klev),rnebcon(klon,klev),ratqs(klon,klev)
       ! declarations pour lecture glace de mer
@@ -111,4 +118,7 @@
       integer :: isst(klon-2)
       real zx_tmp_2d(iim,jjp1)
+
+
+      REAL :: dummy(klon, nbsrf)
       !
       !   Constantes 
@@ -364,7 +374,13 @@
      .    jjm, rlonu, rlatv , interbar )
       !
-      varname = 'deltat'
-      deltat(:) = 0.0
-      CALL startget(varname,iip1,jjp1,rlonv,rlatu,klon,deltat,0.0,
+cIM "slab" ocean
+      varname = 'tslab'
+      tslab(:) = 0.0
+      CALL startget(varname,iip1,jjp1,rlonv,rlatu,klon,tslab,0.0,
+     .     jjm, rlonu, rlatv , interbar )
+c
+      varname = 'seaice'
+      seaice(:) = 0.0
+      CALL startget(varname,iip1,jjp1,rlonv,rlatu,klon,seaice,0.0,
      .     jjm, rlonu, rlatv , interbar )
       !
@@ -454,5 +470,5 @@
      $    ,iim, jjp1,
      $    rlonv, rlatu, flic_tmp(1 : iim, 1 : jjp1))
-c$$$      flic_tmp(1 : iim, 1 : jjp1) = champint(1: iim, 1 : jjp1)
+cx$$$      flic_tmp(1 : iim, 1 : jjp1) = champint(1: iim, 1 : jjp1)
       flic_tmp(iip1, 1 : jjp1) = flic_tmp(1 , 1 : jjp1)
 C
@@ -501,5 +517,5 @@
 C verif que somme des sous surface = 1
 C
-      ji=count( (abs( sum(pctsrf(1 : klon, 1 : nbsrf), dim = 2)) - 1.0 ) 
+      ji=count( (abs( sum(pctsrf(1 : klon, 1 : nbsrf),dim=2))-1.0) 
      $    .GT. EPSFRA)
       IF (ji .NE. 0) THEN
@@ -650,5 +666,8 @@
       q_ancien = 0.
       agesno = 0.
-      deltat = 0.
+cIM "slab" ocean
+      tslab(1:klon) = tsolsrf(1:klon,is_oce)
+      seaice = 0. !kg m-2
+c
       frugs(1:klon,is_oce) = rugmer(1:klon)
       frugs(1:klon,is_ter) = MAX(1.0e-05, zstd(1:klon)*zsig(1:klon)/2.0)
@@ -659,14 +678,25 @@
       rnebcon = 0.0
       ratqs = 0.0
-
-cIM   call phyredem("startphy.nc",phystep,radpas, co2_ppm, solaire,
-      call phyredem("startphy.nc",phystep,radpas,
-     $    latfi, lonfi, pctsrf, tsolsrf, tsoil, deltat, qsolsrf, qsol, 
-     $    snsrf, 
-     $    albe, alblw, evap, rain_fall, snow_fall, solsw, sollw, fder,
-     $    radsol, frugs,  agesno, 
+      run_off_lic_0 = 0.0 
+
+c
+c Avant l'appel a phyredem, on initialize les modules de surface
+c avec les valeurs qui vont etre ecrit dans startphy.nc
+c
+      dummy(:,:) = 1.0
+      ocean = "slab"
+      call fonte_neige_init(run_off_lic_0)
+      call pbl_surface_init(qsol, fder, snsrf, qsolsrf,
+     $     evap, frugs, agesno, tsoil)
+      call ocean_slab_init(dummy(1,1), tslab, seaice, dummy(:,:))
+
+      call phyredem("startphy.nc",phystep,radpas,ocean, 
+     $    latfi, lonfi, pctsrf, tsolsrf,
+     $    albe, alblw, rain_fall, snow_fall, solsw, sollw,
+     $    radsol, 
      $    zmea, zstd, zsig, zgam, zthe, zpic, zval, rugsrel, 
-     $    t_ancien, q_ancien, rnebcon, ratqs, clwcon)
-      print*,'sortie phyredem'
+     $    t_ancien, q_ancien, rnebcon, ratqs, clwcon )
+
+
 
 C     Sortie Visu pour les champs dynamiques
Index: LMDZ4/branches/LMDZ4_V3_patches/libf/dyn3d/fluxstokenc.F
===================================================================
--- LMDZ4/branches/LMDZ4_V3_patches/libf/dyn3d/fluxstokenc.F	(revision 844)
+++ LMDZ4/branches/LMDZ4_V3_patches/libf/dyn3d/fluxstokenc.F	(revision 844)
@@ -0,0 +1,162 @@
+      SUBROUTINE fluxstokenc(pbaru,pbarv,masse,teta,phi,phis,
+     . time_step,itau )
+
+       USE IOIPSL
+c
+c     Auteur :  F. Hourdin
+c
+c
+ccc   ..   Modif. P. Le Van  ( 20/12/97 )  ...
+c
+      IMPLICIT NONE
+c
+#include "dimensions.h"
+#include "paramet.h"
+#include "comconst.h"
+#include "comvert.h"
+#include "comgeom.h"
+#include "tracstoke.h"
+#include "temps.h"
+
+      REAL time_step,t_wrt, t_ops
+      REAL pbaru(ip1jmp1,llm),pbarv(ip1jm,llm)
+      REAL masse(ip1jmp1,llm),teta(ip1jmp1,llm),phi(ip1jmp1,llm)
+      REAL phis(ip1jmp1)
+
+      REAL pbaruc(ip1jmp1,llm),pbarvc(ip1jm,llm)
+      REAL massem(ip1jmp1,llm),tetac(ip1jmp1,llm),phic(ip1jmp1,llm)
+
+      REAL pbarug(ip1jmp1,llm),pbarvg(iip1,jjm,llm),wg(ip1jmp1,llm)
+
+      REAL pbarvst(iip1,jjp1,llm),zistdyn
+	real dtcum
+
+      INTEGER iadvtr,ndex(1) 
+      integer nscal
+      real tst(1),ist(1),istp(1)
+      INTEGER ij,l,irec,i,j,itau
+      INTEGER, SAVE :: fluxid, fluxvid,fluxdid
+ 
+      SAVE iadvtr, massem,pbaruc,pbarvc,irec
+      SAVE phic,tetac
+      logical first
+      save first
+      data first/.true./
+      DATA iadvtr/0/
+
+
+c AC initialisations
+      pbarug(:,:)   = 0.
+      pbarvg(:,:,:) = 0.
+      wg(:,:)       = 0.
+      
+
+      if(first) then
+
+	CALL initfluxsto( 'fluxstoke',
+     .  time_step,istdyn* time_step,istdyn* time_step,
+     . nqmx, fluxid,fluxvid,fluxdid) 
+	
+	ndex(1) = 0
+        call histwrite(fluxid, 'phis', 1, phis, iip1*jjp1, ndex)
+        call histwrite(fluxid, 'aire', 1, aire, iip1*jjp1, ndex)
+	
+	ndex(1) = 0
+        nscal = 1
+        tst(1) = time_step
+        call histwrite(fluxdid, 'dtvr', 1, tst, nscal, ndex)
+        ist(1)=istdyn
+        call histwrite(fluxdid, 'istdyn', 1, ist, nscal, ndex)
+        istp(1)= istphy
+        call histwrite(fluxdid, 'istphy', 1, istp, nscal, ndex)
+	
+	first = .false.
+
+      endif
+
+
+      IF(iadvtr.EQ.0) THEN
+         CALL initial0(ijp1llm,phic)
+         CALL initial0(ijp1llm,tetac)
+         CALL initial0(ijp1llm,pbaruc)
+         CALL initial0(ijmllm,pbarvc)
+      ENDIF
+
+c   accumulation des flux de masse horizontaux
+      DO l=1,llm
+         DO ij = 1,ip1jmp1
+            pbaruc(ij,l) = pbaruc(ij,l) + pbaru(ij,l)
+            tetac(ij,l) = tetac(ij,l) + teta(ij,l)
+            phic(ij,l) = phic(ij,l) + phi(ij,l)
+         ENDDO
+         DO ij = 1,ip1jm
+            pbarvc(ij,l) = pbarvc(ij,l) + pbarv(ij,l)
+         ENDDO
+      ENDDO
+
+c   selection de la masse instantannee des mailles avant le transport.
+      IF(iadvtr.EQ.0) THEN
+         CALL SCOPY(ip1jmp1*llm,masse,1,massem,1)
+      ENDIF
+
+      iadvtr   = iadvtr+1
+
+
+c   Test pour savoir si on advecte a ce pas de temps
+      IF ( iadvtr.EQ.istdyn ) THEN
+c    normalisation
+      DO l=1,llm
+         DO ij = 1,ip1jmp1
+            pbaruc(ij,l) = pbaruc(ij,l)/float(istdyn)
+            tetac(ij,l) = tetac(ij,l)/float(istdyn)
+            phic(ij,l) = phic(ij,l)/float(istdyn)
+         ENDDO
+         DO ij = 1,ip1jm
+            pbarvc(ij,l) = pbarvc(ij,l)/float(istdyn)
+         ENDDO
+      ENDDO
+
+c   traitement des flux de masse avant advection.
+c     1. calcul de w
+c     2. groupement des mailles pres du pole.
+
+        CALL groupe( massem, pbaruc,pbarvc, pbarug,pbarvg,wg )
+
+        do l=1,llm
+           do j=1,jjm
+              do i=1,iip1
+                 pbarvst(i,j,l)=pbarvg(i,j,l)
+              enddo
+           enddo
+           do i=1,iip1
+              pbarvst(i,jjp1,l)=0.
+           enddo
+        enddo
+
+         iadvtr=0
+	Print*,'ITAU auqel on stoke les fluxmasses',itau
+	
+	call histwrite(fluxid, 'masse', itau, massem,
+     .               iip1*jjp1*llm, ndex)
+	
+	call histwrite(fluxid, 'pbaru', itau, pbarug,
+     .               iip1*jjp1*llm, ndex)
+	
+	call histwrite(fluxvid, 'pbarv', itau, pbarvg,
+     .               iip1*jjm*llm, ndex)
+	
+        call histwrite(fluxid, 'w' ,itau, wg, 
+     .             iip1*jjp1*llm, ndex) 
+	
+	call histwrite(fluxid, 'teta' ,itau, tetac, 
+     .             iip1*jjp1*llm, ndex) 
+	
+	call histwrite(fluxid, 'phi' ,itau, phic, 
+     .             iip1*jjp1*llm, ndex) 
+	
+C
+
+      ENDIF ! if iadvtr.EQ.istdyn
+
+      RETURN
+      END
Index: LMDZ4/branches/LMDZ4_V3_patches/libf/dyn3d/fxhyp.F
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/dyn3d/fxhyp.F	(revision 525)
+++ LMDZ4/branches/LMDZ4_V3_patches/libf/dyn3d/fxhyp.F	(revision 844)
@@ -4,5 +4,5 @@
 c
 c
-       SUBROUTINE fxhyp ( xzoomdeg,grossism,dzoom,tau ,
+       SUBROUTINE fxhyp ( xzoomdeg,grossism,dzooma,tau ,
      , rlonm025,xprimm025,rlonv,xprimv,rlonu,xprimu,rlonp025,xprimp025,
      , champmin,champmax                                               )
@@ -38,5 +38,5 @@
 c     ......  arguments  d'entree   .......
 c
-       REAL xzoomdeg,dzoom,tau,grossism
+       REAL xzoomdeg,dzooma,tau,grossism
 
 c    ......   arguments  de  sortie  ......
@@ -47,4 +47,5 @@
 c     .... variables locales  ....
 c
+       REAL   dzoom
        REAL*8 xlon(iip1),xprimm(iip1),xuv
        REAL*8 xtild(0:nmax2)
@@ -74,12 +75,12 @@
        WRITE(6,*) 'FXHYP scal180,decalx', scal180,decalx
 c
-       IF( dzoom.LT.1.)  THEN
-         dzoom = dzoom * depi
-       ELSEIF( dzoom.LT. 25. ) THEN
-         WRITE(6,*) ' Le param. dzoomy pour fxhyp est trop petit ! L aug
+       IF( dzooma.LT.1.)  THEN
+         dzoom = dzooma * depi
+       ELSEIF( dzooma.LT. 25. ) THEN
+         WRITE(6,*) ' Le param. dzoomx pour fxhyp est trop petit ! L aug
      ,menter et relancer ! '
          STOP 1
        ELSE
-         dzoom = dzoom * pi/180.
+         dzoom = dzooma * pi/180.
        ENDIF
 
Index: LMDZ4/branches/LMDZ4_V3_patches/libf/dyn3d/fyhyp.F
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/dyn3d/fyhyp.F	(revision 525)
+++ LMDZ4/branches/LMDZ4_V3_patches/libf/dyn3d/fyhyp.F	(revision 844)
@@ -4,5 +4,5 @@
 c
 c
-       SUBROUTINE fyhyp ( yzoomdeg, grossism, dzoom,tau  ,  
+       SUBROUTINE fyhyp ( yzoomdeg, grossism, dzooma,tau  ,  
      ,  rrlatu,yyprimu,rrlatv,yyprimv,rlatu2,yprimu2,rlatu1,yprimu1 ,
      ,  champmin,champmax                                            ) 
@@ -37,5 +37,5 @@
 c     .......  arguments  d'entree    .......
 c
-       REAL yzoomdeg, grossism,dzoom,tau 
+       REAL yzoomdeg, grossism,dzooma,tau 
 c         ( rentres  par  run.def )
 
@@ -49,4 +49,5 @@
 c
      
+       REAL   dzoom
        REAL*8 ylat(jjp1), yprim(jjp1)
        REAL*8 yuv
@@ -78,12 +79,12 @@
        y0       =  yzoomdeg * pi/180. 
 
-       IF( dzoom.LT.1.)  THEN
-         dzoom = dzoom * pi
-       ELSEIF( dzoom.LT. 12. ) THEN
+       IF( dzooma.LT.1.)  THEN
+         dzoom = dzooma * pi
+       ELSEIF( dzooma.LT. 12. ) THEN
          WRITE(6,*) ' Le param. dzoomy pour fyhyp est trop petit ! L aug
      ,menter et relancer ! '
          STOP 1
        ELSE
-         dzoom = dzoom * pi/180.
+         dzoom = dzooma * pi/180.
        ENDIF
 
Index: LMDZ4/branches/LMDZ4_V3_patches/libf/dyn3d/gcm.F
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/dyn3d/gcm.F	(revision 525)
+++ LMDZ4/branches/LMDZ4_V3_patches/libf/dyn3d/gcm.F	(revision 844)
@@ -9,5 +9,6 @@
       USE IOIPSL
 #endif
-
+      USE dimphy
+      USE comgeomphy
       IMPLICIT NONE
 
@@ -56,7 +57,6 @@
 #include "com_io_dyn.h"
 #include "iniprint.h"
-
-c#include "tracstoke.h"
-
+#include "tracstoke.h"
+#include "advtrac.h"
 
       INTEGER         longcles
@@ -113,12 +113,6 @@
       REAL      d_h_vcol, d_qt, d_qw, d_ql, d_ec
       CHARACTER*15 ztit
-      INTEGER   ip_ebil_dyn  ! PRINT level for energy conserv. diag.
-      SAVE      ip_ebil_dyn
-      DATA      ip_ebil_dyn/0/
 c-jld 
 
-
-      LOGICAL offline  ! Controle du stockage ds "fluxmass"
-      PARAMETER (offline=.false.)
 
       character*80 dynhist_file, dynhistave_file
@@ -151,4 +145,15 @@
       dynhistave_file = 'dyn_hist_ave.nc'
 
+c initialisation Anne
+      hadv_flg(:) = 0.
+      vadv_flg(:) = 0.
+      conv_flg(:) = 0.
+      pbl_flg(:)  = 0. 
+      tracnam(:)  = '        ' 
+      nprath = 1
+      nbtrac = 0
+      mmt_adj(:,:,:,:) = 1
+
+
 c--------------------------------------------------------------------------
 c   Iflag_phys controle l'appel a la physique :
@@ -190,4 +195,19 @@
       CALL defrun( 99, .TRUE. , clesphy0 )
 #endif
+
+      CALL Init_Phys_lmdz(iim,jjp1,llm,nqmx-2,1,(jjm-1)*iim+2)
+      call InitComgeomphy
+
+#ifdef INCA
+      call init_const_lmdz(nbtrac,anneeref,dayref,iphysiq,day_step,nday)
+      call init_inca_para(iim,jjm+1,klon2,phy_size,klon_para_nb)
+#endif
+
+c
+c
+c------------------------------------
+c   Initialisation partie parallele
+c------------------------------------
+
 c
 c
@@ -218,4 +238,8 @@
       endif
 
+#ifdef INCA
+      call init_inca_dim(klon,llm,iim,jjm,
+     $     rlonu,rlatu,rlonv,rlatv)
+#endif
 
 
@@ -368,4 +392,11 @@
 #endif
 
+c  Choix des frequences de stokage pour le offline
+c      istdyn=day_step/4     ! stockage toutes les 6h=1jour/4
+c      istdyn=day_step/12     ! stockage toutes les 2h=1jour/12
+      istdyn=day_step/4     ! stockage toutes les 6h=1jour/12
+      istphy=istdyn/iphysiq     
+
+
 c
 c-----------------------------------------------------------------------
@@ -380,5 +411,6 @@
 
 
-      CALL leapfrog(ucov,vcov,teta,ps,masse,phis,nq,q,clesphy0)
+      CALL leapfrog(ucov,vcov,teta,ps,masse,phis,nq,q,clesphy0,
+     .              time_0)
 
 
Index: LMDZ4/branches/LMDZ4_V3_patches/libf/dyn3d/gradsdef.h
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/dyn3d/gradsdef.h	(revision 525)
+++ LMDZ4/branches/LMDZ4_V3_patches/libf/dyn3d/gradsdef.h	(revision 844)
@@ -3,5 +3,5 @@
 !
       integer nfmx,imx,jmx,lmx,nvarmx
-      parameter(nfmx=10,imx=200,jmx=150,lmx=20,nvarmx=1000)
+      parameter(nfmx=10,imx=200,jmx=150,lmx=200,nvarmx=1000)
 
       real xd(imx,nfmx),yd(jmx,nfmx),zd(lmx,nfmx),dtime(nfmx)
Index: LMDZ4/branches/LMDZ4_V3_patches/libf/dyn3d/grid_noro.F
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/dyn3d/grid_noro.F	(revision 525)
+++ LMDZ4/branches/LMDZ4_V3_patches/libf/dyn3d/grid_noro.F	(revision 844)
@@ -53,4 +53,5 @@
 c             zval:  Minimum altitude
 C=======================================================================
+
       IMPLICIT INTEGER (I,J)
       IMPLICIT REAL(X,Z) 
@@ -79,7 +80,8 @@
       REAL x(imar+1),y(jmar),zphi(imar+1,jmar)
       REAL zmea(imar+1,jmar),zstd(imar+1,jmar)
+      REAL zmea0(imar+1,jmar) ! GK211005 (CG)
       REAL zsig(imar+1,jmar),zgam(imar+1,jmar),zthe(imar+1,jmar)
       REAL zpic(imar+1,jmar),zval(imar+1,jmar)
-c$$$ PB     integer mask(imar+1,jmar)
+cx$$ PB     integer mask(imar+1,jmar)
       real mask(imar+1,jmar), mask_tmp(imar+1,jmar)
       real num_tot(2200,1100),num_lan(2200,1100)
@@ -272,9 +274,9 @@
          IF (weight(ii,jj) .NE. 0.0) THEN
 c  Mask
-c$$$           if(num_lan(ii,jj)/num_tot(ii,jj).ge.0.5)then
-c$$$             mask(ii,jj)=1
-c$$$           else
-c$$$             mask(ii,jj)=0
-c$$$           ENDIF
+cx$$           if(num_lan(ii,jj)/num_tot(ii,jj).ge.0.5)then
+cx$$             mask(ii,jj)=1
+cx$$           else
+cx$$             mask(ii,jj)=0
+cx$$           ENDIF
              if (.not. masque_lu) then
                mask(ii,jj) = num_lan(ii,jj)/num_tot(ii,jj)
@@ -309,4 +311,5 @@
 C  FIRST FILTER, MOVING AVERAGE OVER 9 POINTS.
 
+       zmea0(:,:) = zmea(:,:) ! GK211005 (CG) on sauvegarde la topo non lissee
        CALL MVA9(zmea,iim+1,jjm+1)
        CALL MVA9(zstd,iim+1,jjm+1)
@@ -316,7 +319,7 @@
        CALL MVA9(zxtzy,iim+1,jjm+1) 
        CALL MVA9(zytzy,iim+1,jjm+1)
-C$$$   Masque prenant en compte maximum de terre
-C$$$  On seuil a 10% de terre de terre car en dessous les parametres de surface n'on
-C$$$ pas de sens (PB)
+Cx$$   Masque prenant en compte maximum de terre
+Cx$$  On seuil a 10% de terre de terre car en dessous les parametres de surface n'on
+Cx$$ pas de sens (PB)
        mask_tmp= 0.0
        WHERE(mask .GE. 0.1) mask_tmp = 1.
@@ -336,15 +339,15 @@
            if(abs(xm).le.xw) xm=xw*sign(1.,xm)
 c slope: 
-c$$$           zsig(ii,jj)=sqrt(xq)*mask(ii,jj)
-c$$$c isotropy:
-c$$$           zgam(ii,jj)=xp/xq*mask(ii,jj)
-c$$$c angle theta:
-c$$$           zthe(ii,jj)=57.29577951*atan2(xm,xl)/2.*mask(ii,jj)
-c$$$           zphi(ii,jj)=zmea(ii,jj)*mask(ii,jj)
-c$$$           zmea(ii,jj)=zmea(ii,jj)*mask(ii,jj)
-c$$$           zpic(ii,jj)=zpic(ii,jj)*mask(ii,jj)
-c$$$           zval(ii,jj)=zval(ii,jj)*mask(ii,jj)
-c$$$           zstd(ii,jj)=zstd(ii,jj)*mask(ii,jj)
-C$$* PB modif pour maque de terre fractionnaire
+cx$$           zsig(ii,jj)=sqrt(xq)*mask(ii,jj)
+cx$$c isotropy:
+cx$$           zgam(ii,jj)=xp/xq*mask(ii,jj)
+cx$$c angle theta:
+cx$$           zthe(ii,jj)=57.29577951*atan2(xm,xl)/2.*mask(ii,jj)
+cx$$           zphi(ii,jj)=zmea(ii,jj)*mask(ii,jj)
+cx$$           zmea(ii,jj)=zmea(ii,jj)*mask(ii,jj)
+cx$$           zpic(ii,jj)=zpic(ii,jj)*mask(ii,jj)
+cx$$           zval(ii,jj)=zval(ii,jj)*mask(ii,jj)
+cx$$           zstd(ii,jj)=zstd(ii,jj)*mask(ii,jj)
+Cx$* PB modif pour maque de terre fractionnaire
 c slope: 
            zsig(ii,jj)=sqrt(xq)*mask_tmp(ii,jj)
@@ -353,5 +356,8 @@
 c angle theta:
            zthe(ii,jj)=57.29577951*atan2(xm,xl)/2.*mask_tmp(ii,jj)
-           zphi(ii,jj)=zmea(ii,jj)*mask_tmp(ii,jj)
+           ! GK211005 (CG) ne pas forcement lisser la topo
+           ! zphi(ii,jj)=zmea(ii,jj)*mask_tmp(ii,jj)
+           zphi(ii,jj)=zmea0(ii,jj)*mask_tmp(ii,jj)
+           !
            zmea(ii,jj)=zmea(ii,jj)*mask_tmp(ii,jj)
            zpic(ii,jj)=zpic(ii,jj)*mask_tmp(ii,jj)
@@ -452,5 +458,5 @@
 C MAKE A MOVING AVERAGE OVER 9 GRIDPOINTS OF THE X FIELDS
 
-      PARAMETER (ISMo=300,JSMo=200)
+      PARAMETER (ISMo=400,JSMo=200)
       REAL X(IMAR,JMAR),XF(ISMo,JSMo)
       real WEIGHTpb(-1:1,-1:1)
Index: LMDZ4/branches/LMDZ4_V3_patches/libf/dyn3d/grilles_gcm_netcdf.F
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/dyn3d/grilles_gcm_netcdf.F	(revision 525)
+++ LMDZ4/branches/LMDZ4_V3_patches/libf/dyn3d/grilles_gcm_netcdf.F	(revision 844)
@@ -73,6 +73,6 @@
 
       do i=1,iip1
-         rlonudeg(i)=rlonu(i)*180./pi
-         rlonvdeg(i)=rlonv(i)*180./pi
+         rlonudeg(i)=rlonu(i)*180./pi + 360.
+         rlonvdeg(i)=rlonv(i)*180./pi + 360.
       enddo
 
Index: LMDZ4/branches/LMDZ4_V3_patches/libf/dyn3d/guide.F
===================================================================
--- LMDZ4/branches/unlabeled-1.1.1/libf/dyn3d/guide.F	(revision 525)
+++ LMDZ4/branches/LMDZ4_V3_patches/libf/dyn3d/guide.F	(revision 844)
@@ -81,10 +81,10 @@
       INTEGER step_rea,count_no_rea
 
-      real aire_min,aire_max
+cIM 180305   real aire_min,aire_max
       integer ilon,ilat
       real factt,ztau(ip1jmp1)
 
       INTEGER itau,ij,l,i,j
-      integer ncidt,varidpl,nlev,status
+      integer ncidpl,varidpl,nlev,status
       integer rcod,rid 
       real ditau,tau,a
@@ -208,16 +208,32 @@
          step_rea=1
          count_no_rea=0
+         ncidpl=-99
 
 c    itau_test    montre si l'importation a deja ete faite au rang itau
 c lecture d'un fichier netcdf pour determiner le nombre de niveaux
-         ncidt=NCOPN('T.nc',NCNOWRIT,rcod)
+         if (guide_u) then
+           if (ncidpl.eq.-99) ncidpl=NCOPN('u.nc',NCNOWRIT,rcod)
+         endif
+c
+         if (guide_v) then
+           if (ncidpl.eq.-99) ncidpl=NCOPN('v.nc',NCNOWRIT,rcod)
+         endif
+c
+         if (guide_T) then
+           if (ncidpl.eq.-99) ncidpl=NCOPN('T.nc',NCNOWRIT,rcod)
+         endif
+c
+         if (guide_Q) then
+           if (ncidpl.eq.-99) ncidpl=NCOPN('hur.nc',NCNOWRIT,rcod)
+         endif
+c
          if (ncep) then
-          status=NF_INQ_DIMID(ncidt,'LEVEL',rid)
+          status=NF_INQ_DIMID(ncidpl,'LEVEL',rid)
          else
-          status=NF_INQ_DIMID(ncidt,'PRESSURE',rid)
-         endif
-          status=NF_INQ_DIMLEN(ncidt,rid,nlev)
+          status=NF_INQ_DIMID(ncidpl,'PRESSURE',rid)
+         endif
+          status=NF_INQ_DIMLEN(ncidpl,rid,nlev)
          print *,'nlev', nlev 
-          call ncclos(ncidt,rcod)
+          call ncclos(ncidpl,rcod)
 c   Lecture du premier etat des reanalyses.
          call read_reanalyse(1,ps
@@ -296,6 +312,4 @@
       tau=tau-aint(tau)
 
-      print*,'ATTENTION !!!! ON NE GUIDE QUE JUSQU A 15N'
-
 c  ucov
       if (guide_u) then
@@ -353,5 +367,4 @@
                 if (first.and.ini_anal) vcov(ij,l)=a
             enddo
-            if (first.and.ini_anal) vcov(ij,l)=a
          enddo
       endif
@@ -485,6 +498,9 @@
                zlat=rlatv(j)*180./pi
             endif
+         if (abs(grossismx-1.).lt.0.1.or.abs(grossismy-1.).lt.0.1) then
+c  pour une grille reguliere, xi=xxx**0=1 -> alpha=alphamin
+             alpha(i,j)=alphamin
+         else
             xi=((dxdy_max-dxdy_)/(dxdy_max-dxdy_min))**gamma
-c  pour une grille reguliere, xi=xxx**0=1 -> alpha=alphamin
             xi=min(xi,1.)
             if(lat_min_guide.le.zlat .and. zlat.le.lat_max_guide) then
@@ -493,4 +509,5 @@
                alpha(i,j)=0.
             endif
+         endif
          enddo
       enddo
